Subject: Re: bug#71934: 31.0.50; edebug--called-interactively-skip vs. new fun objects

From: Michael Heerdegen <[email-masked]>
Date: Tue, 09 Jul 2024 07:19:21 +0200

Alan Mackenzie <[email-masked]> writes:

> I'm not entirely sure what you mean by "function value".

A form is code, an expression, something that can be evaluated.

A value is the result of an evaluation.  A "function value" is a value
that can be funcalled.

The signature (cl-defmethod comp--spill-lap-function ((form list)) ...)
lets the reader think the argument is always a form.  This is why Stefan
missed this occurrence.  You made it handle function values as well.

Although in Lisp forms and values are both objects, or values so to say,
it makes sense to write code in a way that lets the reader see whether
arguments are expressions or not, because else everything soon gets
confusing, as we see here.

And I really have not to say anything about the matter.  I only wanted
to get the thing started.

Michael.